# canvasinterface.h File Reference

Template Header. More...

`#include <synfig/value.h>`
`#include <sigc++/signal.h>`
`#include <sigc++/object.h>`
`#include <list>`
`#include "selectionmanager.h"`
`#include "uimanager.h"`
`#include "value_desc.h"`
`#include "editmode.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig
namespace | synfigapp
namespace | synfigapp::Action

## Classes

class | synfigapp::CanvasInterface
class | synfigapp::PushMode
| Class that changes the mode of a CanvasInterface, and restores it on destruction. More...

## Detailed Description

Template Header.

$Id$